Subject: Re: [bug#48637] [PATCH] website: Add publications page

From: Julien Lepiller <[email-masked]>
Date: Wed, 26 May 2021 13:41:02 -0400

Since last time we calked, I changed che script that updates weblate, so it now ignores the checked out pot file and regenerates it for weblate. Maybe we should now drop it entirely?

Le 26 mai 2021 10:06:43 GMT-04:00, Luis Felipe <[email-masked]> a écrit :
>On Wednesday, May 26, 2021 10:00 AM, pelzflorian (Florian Pelz)
><[email-masked]> wrote:
>
>> On Tue, May 25, 2021 at 10:03:01PM -0400, Julien Lepiller wrote:
>>
>> > Le 25 mai 2021 16:16:42 GMT-04:00, Luis Felipe
>[email-masked] a écrit :
>> >
>> > > #:authors (G_ "Jane Roe, Eva Lua and Luis Felipe")
>> >
>> > I think so, but I think we'll have to test, because I don't really
>know the i18n process either for the website ^^'
>>
>> Yes, it is correct and the best way, but testing by running the
>> sexp-xgettext script is good too.
>>
>> > > That's what I thought, and I was about to ask if it was possible
>to
>> > > have <date> and <authors> instead of <1> and <2>. I guess not...
>> > > I need a course on the i18n system :)
>>
>> I wanted the sexp-xgettext i18n system so developers would not have
>to
>> add a tag name to every element … Well, we can use regexp helper
>> function find-empty-element like website/sexp-xgettext.scm uses at
>the
>> beginning of the deconstruct procedure:
>>
>> (define (find-empty-element msgstr name)
>> "Return the regex match structure for the empty tag for XML
>> element of type NAME inside MSGSTR. If the element does not exist or
>> is more than the empty tag, #f is returned."
>> (string-match (string-append "<" (regexp-quote name) "/>") msgstr))
>>
>> and call it on a translation with G_, but I would prefer not to
>> increase code complexity in the website.
>
>Ok, here is the new patch with the suggested changes.
>
>I updated the POT to check the translation strings and I think they are
>well formed. For example:
>
>#. TRANSLATORS: <1/> is a date, and <2/> a list of authors.
>#: apps/media/templates/components.scm:50
>#, xml-text
>msgid "Published <1/> by <2/>"
>msgstr ""
>
>I didn't include the POT update in the patch though. Maybe for future
>patches I'll do the whole i18n process.